[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SpecialType

Is the floating point value special ?

## Declaration

Source position: mathh.inc line 189

`function TDoubleRec.SpecialType: TFloatSpecial;`

## Description

SpecialType returns special characteristics of the floating point value, if any. See TFLoatSpecial for an explanation of the various special values.

## See also

TDoubleRec.Fraction |  | Fraction of the floating point value
TDoubleRec.Mantissa |  | Mantissa of the floating point value
TDoubleRec.Exponent |  | Exponent of the floating point value
TFLoatSpecial |  | Special floating point values